import { PropsWithChildren } from 'react'
import styles from './style.module.scss'

interface ButtonUnderlineProps {
  onClick: (event: React.MouseEvent<HTMLButtonElement>) => void
  disabled?: boolean | undefined
}

export const ButtonUnderline = ({
  onClick,
  disabled = false,
  children
}: PropsWithChildren<ButtonUnderlineProps>) => {
  return (
    <button
      type="button"
      className={styles.button}
      disabled={disabled}
      onClick={onClick}
    >
      {children}
    </button>
  )
}
