import { MarkInputProps } from '../MarkStrategy'
import styles from '../../MarkFormField/style.module.scss'
import { useEffect, useRef } from 'react'

export const MarkInputDateTime = ({ handler, placeholder }: MarkInputProps) => {
  const ref = useRef<HTMLInputElement>(null)
  useEffect(() => {
    if (ref.current) {
      const date = new Date()
      ref.current.value = date.toISOString().slice(0, 16)
      handler(date.toUTCString())
    }
  }, [handler])
  return (
    <input
      type="datetime-local"
      ref={ref}
      className={styles.input}
      placeholder={placeholder}
      readOnly={true}
      disabled={true}
    />
  )
}
