import {
  List,
  ListItemButton,
  ListItemIcon,
  ListItemText,
  useTheme
} from '@mui/material'
import { launch as launchNostrLoginDialog } from 'nostr-login'
import PeopleIcon from '@mui/icons-material/People'
import ImportExportIcon from '@mui/icons-material/ImportExport'
import { useAppSelector } from '../../../hooks/store'
import { NostrLoginAuthMethod } from '../../../store/auth/types'

export const NostrLoginPage = () => {
  const theme = useTheme()
  const nostrLoginAuthMethod = useAppSelector(
    (state) => state.auth?.nostrLoginAuthMethod
  )

  return (
    <List>
      <ListItemButton
        onClick={() => {
          launchNostrLoginDialog('switch-account')
        }}
      >
        <ListItemIcon>
          <PeopleIcon />
        </ListItemIcon>
        <ListItemText
          primary={'Nostr Login Accounts'}
          sx={{
            color: theme.palette.text.primary
          }}
        />
      </ListItemButton>
      {nostrLoginAuthMethod === NostrLoginAuthMethod.Local && (
        <ListItemButton
          onClick={() => {
            launchNostrLoginDialog('import')
          }}
        >
          <ListItemIcon>
            <ImportExportIcon />
          </ListItemIcon>
          <ListItemText
            primary={'Import / Export Keys'}
            sx={{
              color: theme.palette.text.primary
            }}
          />
        </ListItemButton>
      )}
    </List>
  )
}
