/**
 * Checks if all signers have signed the sigit
 * @param signers - an array of npubs of all signers from the Sigit
 * @param signedBy - an array of npubs that have signed it already
 */
export const isFullySigned = (
  signers: `npub1${string}`[],
  signedBy: `npub1${string}`[]
): boolean => {
  return signers.every((signer) => signedBy.includes(signer))
}
